API Reference
Events

Get Heat Score

Get heat scores/lap times for a particular event heat

Endpoint overview

Get heat-level scoring data for a specific heat within an event.

Use case: update a live heat tracker or post-heat recap with latest scores.

Route

GET /api/v1/public/events/{eventId}/heats/{heatId}

Parameters (Overview)

NameInTypeRequiredDescription
eventIdpathstringYesThe id of the event for which the data should be returned.
heatIdpathstringYesThe id of the heat for which the data should be returned.
GETHTTP Method

Get heat scores/lap times for a particular event heat

Parameters for Example Query

Edit path and query inputs below. These values auto-fill from the schema and immediately update the request URL and generated code examples.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Updated recently

Language

Credentials

X-API-KEY

Try it runs a real request through this site's proxy (avoids CORS). Pasting your key updates the cURL tab and is sent on Try it.

URL

Base URL
https://api.altsportsdata.com
curl -X GET "https://api.altsportsdata.com/api/v1/public/events/string/heats/string"
Click Try it to send the active example request.
Response static example
[
  {
    "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
    "referenceId": 1174117206190029,
    "heatStatus": "UPCOMING",
    "eventId": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
    "numericEventId": 1174117206190029,
    "heatId": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
    "athleteRoundSeed": 1,
    "athleteRoundRank": 1,
    "athleteHeatScore": 12,
    "athleteLapTime": 66,
    "athletePenaltyTime": 66,
    "athleteJokerLapTime": 66,
    "athleteJokerLap": 66,
    "athleteLapStatus": "ACT",
    "totalLaps": 2,
    "roundScore": 66,
    "lineScore1": 66,
    "lineScore2": 66,
    "trick1Score": 10.3,
    "trick2Score": 10.3,
    "trick3Score": 10.3,
    "trick4Score": 10.3,
    "trick5Score": 10.3,
    "trick6Score": 10.3,
    "athlete": {
      "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
      "referenceId": 1174117206190029,
      "firstName": "Fraser",
      "middleName": "",
      "lastName": "MCCONNELL",
      "nationality": "JAM",
      "stance": "Regular",
      "hometown": "Maresias, São Paulo, Brazil",
      "height": "180",
      "weight": "72.84",
      "gender": "women",
      "weightClass": "Featherweight",
      "dob": "2022-02-10T19:00:00Z",
      "providerId": "string",
      "team": {
        "id": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
        "referenceId": 1174117206190029,
        "name": "ferrari"
      }
    },
    "updatedAt": "2022-02-10T19:00:00Z"
  }
]
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}